[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

vigra::EightNeighborhood Namespace Reference

## Classes

class | NeighborCode
| Encapsulation of direction management for the 8-neighborhood. More...

## Typedefs

typedef NeighborCode::Direction | Direction

## Functions

Diff2D const & | east ()
Diff2D const & | north ()
Diff2D const & | northEast ()
Diff2D const & | northWest ()
Diff2D const & | south ()
Diff2D const & | southEast ()
Diff2D const & | southWest ()
Diff2D const & | west ()

## Variables

static const Direction | DirectionCount = NeighborCode::DirectionCount
static const Direction | East = NeighborCode::East
static const Direction | North = NeighborCode::North
static const Direction | NorthEast = NeighborCode::NorthEast
static const Direction | NorthWest = NeighborCode::NorthWest
static const Direction | South = NeighborCode::South
static const Direction | SouthEast = NeighborCode::SouthEast
static const Direction | SouthWest = NeighborCode::SouthWest
static const Direction | West = NeighborCode::West

## Detailed Description

Utilities for 8-neighborhood.

## Typedef Documentation

## ◆ Direction

typedef NeighborCode::Direction Direction

Export NeighborCode::Direction into the scope of namespace EightNeighborhood.

## Function Documentation

## ◆ east()

Diff2D const & east | ( |  | ) |

Offset to the east neighbor

## ◆ northEast()

Diff2D const & northEast | ( |  | ) |

Offset to the northEast neighbor

## ◆ north()

Diff2D const & north | ( |  | ) |

Offset to the north neighbor

## ◆ northWest()

Diff2D const & northWest | ( |  | ) |

Offset to the northWest neighbor

## ◆ west()

Diff2D const & west | ( |  | ) |

Offset to the west neighbor

## ◆ southWest()

Diff2D const & southWest | ( |  | ) |

Offset to the southWest neighbor

## ◆ south()

Diff2D const & south | ( |  | ) |

Offset to the south neighbor

## ◆ southEast()

Diff2D const & southEast | ( |  | ) |

Offset to the southEast neighbor

## Variable Documentation

## ◆ East

const Direction East = NeighborCode::East

static

Export NeighborCode::East to namespace EightNeighborhood

## ◆ NorthEast

const Direction NorthEast = NeighborCode::NorthEast

static

Export NeighborCode::NorthEast to namespace EightNeighborhood

## ◆ North

const Direction North = NeighborCode::North

static

Export NeighborCode::North to namespace EightNeighborhood

## ◆ NorthWest

const Direction NorthWest = NeighborCode::NorthWest

static

Export NeighborCode::NorthWest to namespace EightNeighborhood

## ◆ West

const Direction West = NeighborCode::West

static

Export NeighborCode::West to namespace EightNeighborhood

## ◆ SouthWest

const Direction SouthWest = NeighborCode::SouthWest

static

Export NeighborCode::SouthWest to namespace EightNeighborhood

## ◆ South

const Direction South = NeighborCode::South

static

Export NeighborCode::South to namespace EightNeighborhood

## ◆ SouthEast

const Direction SouthEast = NeighborCode::SouthEast

static

Export NeighborCode::SouthEast to namespace EightNeighborhood

## ◆ DirectionCount

const Direction DirectionCount = NeighborCode::DirectionCount

static

Export NeighborCode::DirectionCount to namespace EightNeighborhood

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1